Page MenuHomePhabricator

Tipsy doesn't close when closing MultimediaViewer
Closed, ResolvedPublic

Description

In hewiki, on main page, if you click quickly on the close dialog, before tipsy have a chance to appear, the dialog will be closed and then a "close this dialog" tipsy will appear and will never die.

See here:
https://www.youtube.com/watch?v=QrCv7aXa4V4&feature=youtu.be

Debugging information:

  • it seems that when tipsy appear is called after setTimeout(function() { if (tipsy.hoverState == 'in') tipsy.show(); }, options.delayIn)
  • during this delay (of 1000), the dialog is getting closed and MPP.unattach called tipsy.hide - under the assumption the tipsy is already shown. It may be also needed to call to tipsy.disable and not just hide.

Version: unspecified
Severity: normal

Details

Reference
bz72516

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:50 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz72516.
eranroz created this task.Oct 25 2014, 6:55 PM
Tgr added a comment.Nov 7 2014, 4:03 PM
  • Bug 67894 has been marked as a duplicate of this bug. ***

I can finally reproduce this, yay

Change 174388 had a related patch set uploaded by Gilles:
Get rid of phantom tipsy bubbles that can appear after closing

https://gerrit.wikimedia.org/r/174388

Change 174388 merged by jenkins-bot:
Get rid of phantom tipsy bubbles that can appear after closing

https://gerrit.wikimedia.org/r/174388

Tgr added a comment.Nov 19 2014, 7:53 PM

Doesn't seem to happen any more.

Change 174714 had a related patch set uploaded by Gilles:
Backport IE and tipsy bugfixes

https://gerrit.wikimedia.org/r/174714

Change 174714 merged by jenkins-bot:
Backport IE and tipsy bugfixes

https://gerrit.wikimedia.org/r/174714

Change 174715 had a related patch set uploaded by Gilles:
Backport critical Media Viewer bugfixes

https://gerrit.wikimedia.org/r/174715

Change 174718 had a related patch set uploaded by Gilles:
Backport IE and tipsy bugfixes

https://gerrit.wikimedia.org/r/174718

Change 174724 had a related patch set uploaded by Gilles:
Backport critical Media Viewer bugfixes

https://gerrit.wikimedia.org/r/174724

Change 174718 merged by jenkins-bot:
Backport IE and tipsy bugfixes

https://gerrit.wikimedia.org/r/174718

Change 174715 merged by jenkins-bot:
Backport critical Media Viewer bugfixes

https://gerrit.wikimedia.org/r/174715

Change 174724 merged by jenkins-bot:
Backport critical Media Viewer bugfixes

https://gerrit.wikimedia.org/r/174724

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:27 AM